Package org.apache.commons.io.output

# Class RandomAccessFileOutputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<T,B>
org.apache.commons.io.build.AbstractOriginSupplier<T,B>
org.apache.commons.io.build.AbstractStreamBuilder<RandomAccessFileOutputStream,RandomAccessFileOutputStream.Builder>
org.apache.commons.io.output.RandomAccessFileOutputStream.Builder

All Implemented Interfaces:
  `IOSupplier<RandomAccessFileOutputStream>`

Enclosing class:
  RandomAccessFileOutputStream

public static final class RandomAccessFileOutputStream.Builder extends AbstractStreamBuilder<RandomAccessFileOutputStream,RandomAccessFileOutputStream.Builder>
Builds a new `RandomAccessFileOutputStream`.

For example:

     RandomAccessFileOutputStream s = RandomAccessFileOutputStream.builder()
       .setFile("myfile.txt")
       .setOpenOptions(StandardOpenOption.SYNC)
       .get();

The only super's aspect used is buffer size.

See Also:
  - `get()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RandomAccessFileOutputStream`
  `get()`
  Gets a result.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Method Details

  - ### get

    public RandomAccessFileOutputStream get() throws IOException
    Description copied from interface: `IOSupplier`
    Gets a result.
    Returns:
      a result.
    Throws:
      `IOException` - if an I/O error occurs.